using GTA;
using GTA.Native;
using GTA.Math;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Reflection;
using System.Windows.Forms;
public class myFirstScript : Script
{
public myFirstScript()
{
  KeyDown += onkeydown;
}
	
public void PrintText(string text, int time)
{
  GTA.Native.Function.Call(GTA.Native.Hash._0xB87A37EEB7FAA67D, "STRING");
  GTA.Native.Function.Call(GTA.Native.Hash._ADD_TEXT_COMPONENT_STRING, text);
  GTA.Native.Function.Call(GTA.Native.Hash._0x9D77056A530643F6, time, 1);
}
void onkeydown(object sender, KeyEventArgs e)
{
  if (e.KeyCode == Keys.K)
  {
   var position = Game.Player.Character.GetOffsetInWorldCoords(new Vector3(0, 5, 0));
   var heading = Game.Player.Character.Heading - 90;
   var vehicle = World.CreateVehicle(VehicleHash.Dubsta, position, heading);
   vehicle.DirtLevel = 15f;
   vehicle.CustomPrimaryColor = Color.White;
   vehicle.CustomSecondaryColor = Color.Black;
   vehicle.NumberPlate = "GTA V";
   vehicle.PlaceOnGround();
   Function.Call(Hash.SET_VEHICLE_MOD_KIT, vehicle.Handle, 0);
   vehicle.SetMod(VehicleMod.FrontBumper, 3, true);
   vehicle.SetMod(VehicleMod.RearBumper, 1, true);
   vehicle.SetMod(VehicleMod.Hood, 2, true);
   PrintText("spawned Dubsta", 10000);
}
else if(e.KeyCode == Keys.J)
{
   Game.Player.Character.IsVisible = !Game.Player.Character.IsVisible;
   PrintText("change visibility", 10000);
}
}
}